# Generated by jeweler
# DO NOT EDIT THIS FILE DIRECTLY
# Instead, edit Jeweler::Tasks in Rakefile, and run 'rake gemspec'
# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = "mspire-simulator"
  s.version = "0.3.2"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["anoyce"]
  s.date = "2012-12-28"
  s.description = "Simulates MS1 runs given amino acid FASTA files. Outputs an MZML file.\n\t\t\tCan simulate specific data if given an MZML file containing a single isolated peptide peak."
  s.email = "andrewbnoyce@gmail.com"
  s.executables = ["mspire-simulator", "sim_mail"]
  s.extra_rdoc_files = [
    "LICENSE.txt",
    "README.rdoc"
  ]
  s.files = [
    "LICENSE.txt",
    "README.rdoc",
    "Rakefile",
    "VERSION",
    "bin/mspire-simulator",
    "bin/sim_mail",
    "lib/cv_parser.rb",
    "lib/ms/curvefit.rb",
    "lib/ms/curvefit/curve_fit_helper.rb",
    "lib/ms/curvefit/fit_graph.rb",
    "lib/ms/curvefit/mzml_reader.rb",
    "lib/ms/isoelectric_calc.rb",
    "lib/ms/merger.rb",
    "lib/ms/mzml_wrapper.rb",
    "lib/ms/noise.rb",
    "lib/ms/rt/rt_helper.rb",
    "lib/ms/rt/rtgenerator.rb",
    "lib/ms/rt/weka.rb",
    "lib/ms/sim_digester.rb",
    "lib/ms/sim_feature.rb",
    "lib/ms/sim_modifications.rb",
    "lib/ms/sim_peptide.rb",
    "lib/ms/sim_spectra.rb",
    "lib/ms/sim_trollop.rb",
    "lib/ms/tr_file_writer.rb",
    "lib/progress.rb",
    "lib/weka/M5P.model",
    "lib/weka/M5Rules.model",
    "mspire-simulator.gemspec",
    "spec/file_writer_spec.rb",
    "spec/merger_spec.rb",
    "spec/ms-simulate_spec.rb",
    "spec/peptide_spec.rb",
    "spec/spec_helper.rb",
    "spec/spectra_spec.rb"
  ]
  s.homepage = "https://github.com/princelab/mspire-simulator"
  s.licenses = ["MIT"]
  s.require_paths = ["lib"]
  s.rubygems_version = "1.8.24"
  s.summary = "Simulates MS1 runs given amino acid FASTA files. Outputs an MZML file."

  if s.respond_to? :specification_version then
    s.specification_version = 3

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<mspire>, ["= 0.8.5"])
      s.add_runtime_dependency(%q<rubyvis>, ["= 0.5.2"])
      s.add_runtime_dependency(%q<nokogiri>, ["= 1.5.2"])
      s.add_runtime_dependency(%q<ffi>, ["= 1.0.11"])
      s.add_runtime_dependency(%q<ffi-inliner>, ["= 0.2.4"])
      s.add_runtime_dependency(%q<fftw3>, ["= 0.3"])
      s.add_runtime_dependency(%q<distribution>, ["= 0.7.0"])
      s.add_runtime_dependency(%q<pony>, ["= 1.4"])
      s.add_runtime_dependency(%q<obo>, ["= 0.1.0"])
      s.add_runtime_dependency(%q<trollop>, ["= 2.0"])
      s.add_runtime_dependency(%q<MS-fragmenter>, ["= 0.0.2"])
      s.add_runtime_dependency(%q<sqlite3>, ["= 1.3.6"])
    else
      s.add_dependency(%q<mspire>, ["= 0.8.5"])
      s.add_dependency(%q<rubyvis>, ["= 0.5.2"])
      s.add_dependency(%q<nokogiri>, ["= 1.5.2"])
      s.add_dependency(%q<ffi>, ["= 1.0.11"])
      s.add_dependency(%q<ffi-inliner>, ["= 0.2.4"])
      s.add_dependency(%q<fftw3>, ["= 0.3"])
      s.add_dependency(%q<distribution>, ["= 0.7.0"])
      s.add_dependency(%q<pony>, ["= 1.4"])
      s.add_dependency(%q<obo>, ["= 0.1.0"])
      s.add_dependency(%q<trollop>, ["= 2.0"])
      s.add_dependency(%q<MS-fragmenter>, ["= 0.0.2"])
      s.add_dependency(%q<sqlite3>, ["= 1.3.6"])
    end
  else
    s.add_dependency(%q<mspire>, ["= 0.8.5"])
    s.add_dependency(%q<rubyvis>, ["= 0.5.2"])
    s.add_dependency(%q<nokogiri>, ["= 1.5.2"])
    s.add_dependency(%q<ffi>, ["= 1.0.11"])
    s.add_dependency(%q<ffi-inliner>, ["= 0.2.4"])
    s.add_dependency(%q<fftw3>, ["= 0.3"])
    s.add_dependency(%q<distribution>, ["= 0.7.0"])
    s.add_dependency(%q<pony>, ["= 1.4"])
    s.add_dependency(%q<obo>, ["= 0.1.0"])
    s.add_dependency(%q<trollop>, ["= 2.0"])
    s.add_dependency(%q<MS-fragmenter>, ["= 0.0.2"])
    s.add_dependency(%q<sqlite3>, ["= 1.3.6"])
  end
end

